Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.serialization
Class SerializationManager

    java.lang.Object
      org.jboss.remoting.serialization.SerializationManager

Direct Known Subclasses:
  JavaSerializationManager, JBossSerializationManager

    public abstract class SerializationManager

extends java.lang.Object

Controls the creation of ObjectInputStream, ObjectOutputStream.

It is important that implementation of this class needs to be stateless. $Id: SerializationManager.java 2386 2007-05-09 08:34:51Z rsigal $

Author:
  Clebert Suconic

Constructor Summary
`SerializationManager()`

Method Summary
`abstract IMarshalledValue` | `createdMarshalledValue(java.lang.Object source)` Creates a MarshalledValue that does lazy serialization.
`abstract java.io.ObjectInputStream` | `createInput(java.io.InputStream input, java.lang.ClassLoader loader)`
`abstract IMarshalledValue` | `createMarshalledValueForClone(java.lang.Object original)` Used in call by value operations.
`abstract java.io.ObjectOutputStream` | `createOutput(java.io.OutputStream output)`
`java.io.ObjectInputStream` | `createRegularInput(java.io.InputStream input)`
`java.lang.Object` | `receiveObject(java.io.InputStream input, java.lang.ClassLoader customClassLoader)` This was a refactory of a method usually existent on `SerializableUnMarshaller`.
`abstract java.lang.Object` | `receiveObject(java.io.InputStream input, java.lang.ClassLoader customClassLoader, int version)`
`void` | `sendObject(java.io.ObjectOutputStream output, java.lang.Object dataObject)`
`abstract void` | `sendObject(java.io.ObjectOutputStream output, java.lang.Object dataObject, int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializationManager

    public SerializationManager()

Method Detail

### createRegularInput

    public java.io.ObjectInputStream createRegularInput(java.io.InputStream input)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### createInput

    public abstract java.io.ObjectInputStream createInput(java.io.InputStream input,
                                                          java.lang.ClassLoader loader)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### createOutput

    public abstract java.io.ObjectOutputStream createOutput(java.io.OutputStream output)
                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### createdMarshalledValue

    public abstract IMarshalledValue createdMarshalledValue(java.lang.Object source)
                                                     throws java.io.IOException

  Creates a MarshalledValue that does lazy serialization.

  Throws:
    `java.io.IOException`

### sendObject

    public void sendObject(java.io.ObjectOutputStream output,
                           java.lang.Object dataObject)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendObject

    public abstract void sendObject(java.io.ObjectOutputStream output,
                                    java.lang.Object dataObject,
                                    int version)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### createMarshalledValueForClone

    public abstract IMarshalledValue createMarshalledValueForClone(java.lang.Object original)
                                                            throws java.io.IOException

  Used in call by value operations. This will use the most effective way

  Throws:
    `java.io.IOException`

### receiveObject

    public java.lang.Object receiveObject(java.io.InputStream input,
                                          java.lang.ClassLoader customClassLoader)
                                   throws java.io.IOException,
                                          java.lang.ClassNotFoundException

  This was a refactory of a method usually existent on `SerializableUnMarshaller`. That's why we are using InputStream instead of ObjectInputStream as a parameter here.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### receiveObject

    public abstract java.lang.Object receiveObject(java.io.InputStream input,
                                                   java.lang.ClassLoader customClassLoader,
                                                   int version)
                                            throws java.io.IOException,
                                                   java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.